# class Raven::Interface

### Public Class Methods

name(value = nil) click to toggle source

    # File lib/raven/interfaces.rb, line 14
    def self.name(value = nil)
      @interface_name ||= value
    end

new(attributes = nil) { |self| ... } click to toggle source

    # File lib/raven/interfaces.rb, line 6
    def initialize(attributes = nil)
      attributes.each do |attr, value|
        public_send "#{attr}=", value
      end if attributes

      yield self if block_given?
    end

### Public Instance Methods

to_hash() click to toggle source

    # File lib/raven/interfaces.rb, line 18
    def to_hash
      Hash[instance_variables.map { |name| [name[1..-1].to_sym, instance_variable_get(name)] } ]
    end